# $Revision: 1.46 $, $Date: 2006/10/09 18:20:25 $
Summary:	Interactive graphical LDAP browser
Summary(pl):	Klient i przegldarka LDAP
Summary(pt_BR):	Navegador grfico para LDAP
Name:		gq
Version:	1.2.1
Release:	0.1
License:	GPL
Group:		Networking/Utilities
Source0:	http://dl.sourceforge.net/gqclient/%{name}-%{version}.tar.gz
# Source0-md5:	e56613c81e70727c20ffe9974cdc6df0
Source1:	http://dl.sourceforge.net/gqclient/%{name}-%{version}-langpack-1.tar.gz
# Source1-md5:	9429d161c91e12d000c8b0c2f6e21d63
Source2:	%{name}.png
Patch0:		%{name}-iconv-in-libc.patch
Patch1:		%{name}-desktop.patch
URL:		http://biot.com/gq/
BuildRequires:	cyrus-sasl-devel
BuildRequires:	gettext-devel
BuildRequires:	gnome-keyring-devel >= 0.4.4
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	libglade2-devel >= 2.0
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	openldap-devel >= 2.3.0
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GQ is GTK+ LDAP client and browser utility. It can be used for
searching LDAP directory as well as browsing it using tree view. It
has limited modify/add functionality, too.

%description -l pl
GQ jest napisanym przy uyciu GTK+ klientem oraz przegldark LDAP.
Mona go uy do przeszukiwania katalogu LDAP oraz przegldania go w
formie drzewa. Posiada rwnie (w ograniczonym stopniu) moliwo
dodawania i modyfikacji danych.

%description -l pt_BR
GQ  um client LDAP feito em GTK+. Ele pode ser usado para pesquisar
diretrios LDAP e tambm para visualizar um diretrio em forma de
rvore. Tambm existem recursos de edio e insero de registros,
embora um pouco limitados.

%prep
%setup -q -a1
cp %{name}-%{version}-langpack-1/po/* po
%patch0 -p1
%patch1 -p1

%build
%configure \
	--enable-browser-dnd \
	--disable-update-mimedb
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/gq
%{_datadir}/mime/packages/gq-ldif.xml
%{_pixmapsdir}/gq
%{_pixmapsdir}/gq.png
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gq.spec,v $
Revision 1.46  2006/10/09 18:20:25  qboosh
- updated to 1.2.1
- .desktop file replaced by patch for file included in sources
- revised BRs

Revision 1.45  2006/09/29 16:27:50  patrys
- up to 1.2.0
- dropped patch1 and patch2 (langs fixed, util structure changed)
- resorted to anal rape technique to install langs

Revision 1.44  2006/01/17 15:26:58  baggins
- release 3
- BR openldap 2.3

Revision 1.43  2004/12/02 21:28:53  qwark
- just correction of simple mistake

Revision 1.42  2004/12/02 13:22:53  paladine
- sorted BRs

Revision 1.41  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.40  2004/11/27 17:39:59  twittner
- added -sigsegv_openldap.patch - use ldap_explode_dn (from openldap)
  instead of gq_ldap_explode_dn (combined with ldap_str2rn and ldap_rdn2str)
  to avoid segfault on openldap-2.2.(15-18)
- rel 2.1 (a.ka. works for me)

Revision 1.39  2004/11/27 12:54:54  zbyniu
- BR: libxml2-devel, pkgconfig
- removed BR: cyrus-sasl-devel - openldap-devel req it

Revision 1.38  2004/08/31 09:00:58  snurf
- typos / formatting / etc.

Revision 1.37  2004/07/20 14:53:51  ankry
- pl fix

Revision 1.36  2004/07/20 14:51:49  qboosh
- release .2 (.1 disappeared from ftp)

Revision 1.35  2004/04/25 20:49:27  qboosh
- updated to 1.0beta1 for gtk+2
- removed all obsolete patches, added new ones: iconv-in-libc and po

Revision 1.34  2004/04/13 14:39:04  adamg
- release 4 to rebuild with new openldap

Revision 1.33  2004/03/16 14:13:24  averne
- rel3 for rebuild with new openldap

Revision 1.32  2004/03/07 01:30:24  krzak
- move .desktop to desktopdir
- rel 2

Revision 1.31  2003/11/22 21:46:43  yoshi
- Added missing BuildRequires:  gettext-devel

Revision 1.30  2003/11/22 21:26:58  yoshi
- Added gq-mkinstalldirs.patch.

Revision 1.29  2003/05/28 12:59:01  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 05:48:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/01/18 22:50:07  juandon
- removed two lines with define

Revision 1.26  2002/10/09 13:14:28  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.25  2002/06/28 09:20:59  jajcus
- updated passwd patch

Revision 1.24  2002/06/28 08:15:28  jajcus
- Version: 0.6.0beta2
- new %%doc
- patch added that prevents displaying of password being entered

Revision 1.23  2002/05/21 23:13:26  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.22  2002/05/19 19:37:10  kloczek
- updated to 0.5.0 (release 2).

Revision 1.21  2002/04/25 16:29:37  arturs
fixed a small typo

Revision 1.20  2002/04/07 01:49:37  kloczek
- release 6,
- merge translations from Conectiva,
- added regenerate ac/am/lt files.

Revision 1.19  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/31 21:31:04  ankry
- added Group(es/pt_BR)

Revision 1.17  2002/01/18 02:13:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/10/03 01:29:43  marcus
- configure2_13

Revision 1.15  2001/05/18 03:58:09  kloczek
- updated to 0.4.0,
- added Icon for desktop file,
- removed implicit and delete obsoleted patches.

Revision 1.14  2001/02/04 07:24:06  kloczek
- release 2,
- merged RH patches,
- added %%{_pixmapsdir}/gq to %files.

Revision 1.13  2000/12/19 03:25:19  kloczek
- updated to 0.3.1.

Revision 1.12  2000/11/08 22:27:34  kloczek
- updated to 0.3.0,
- use new rpm automation and rebuild against OpenLDAP >= 2.0.0.

Revision 1.11  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.10  2000/06/09 07:22:52  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/05/28 10:34:53  kloczek
- release 2,
- added Summary(pl),
- desktop file for gq moved to Network/Misc,
- updated Source url.

Revision 1.8  2000/05/20 13:53:44  kloczek
- spec adapterized.

Revision 1.7  2000/05/04 22:34:50  kloczek
- updated to 0.2.3,
- spec adapterized.

Revision 1.6  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.5  2000/04/04 07:08:40  arturs
- added %description -l pl

Revision 1.4  2000/04/01 11:14:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:22  baggins
- translated kloczkish into english

Revision 1.2  1999/09/25 19:06:50  kloczek
- more cvs keywords (Date),
- added passing LDFLAGS="-s" to ./configure envireoment instead stripping on
  install,
- added using %%configure macro and DESTDIR style %install,
- added missing "rm -rf $RPM_BUILD_ROOT" on top %install (required for
  correct building package with using BuildRoot),
- removed some files from %doc (INSTALL - install procedure is implemented
  in spec file, COPYING - clear copyright statmen is in Copyright field),
- added Group(pl),
- added BuildRequires rules,
- cosmetics.

Revision 1.1  1999/09/24 07:14:37  waszi
- initial release
